List Multi-Links for an organization (By Organization ID)
Request
GET
https://api.sourcecraft.tech/orgs/id:{org_id}/invite-multilinks
Path parameters
|
Name |
Description |
|
org_id |
Type: string Example: `` |
Query parameters
|
Name |
Description |
|
page_size |
Type: string<uint64> The maximum number of multi-links to return. The service may return fewer than Example: `` |
|
page_token |
Type: string A page token, received from a previous call. When paginating, all other parameters must match Example: `` |
|
repo_id |
Type: string Optional filter: return only multi-links associated with this repository ID Example: `` |
|
repo_slug |
Type: string Optional filter: return only multi-links associated with this repository slug Example: `` |
Responses
200 OK
A successful response.
Body
application/json
{
"links": [
{
"id": "example",
"org_id": "example",
"org_slug": "example",
"slug": "example",
"url": "example",
"ttl_in_days": 0,
"expires_at": "2025-01-01T00:00:00Z",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-01T00:00:00Z",
"accepted_count": 0,
"invitee_count": 0,
"org_role": "viewer",
"repo": {
"repo_id": "example",
"repo_slug": "example",
"repo_role": null
},
"team_id": "example",
"restricted_to_count": 0
}
],
"next_page_token": "example"
}
|
Name |
Description |
|
links |
Type: MultiLink[] Example
|
|
next_page_token |
Type: string A token, which can be sent as Example: |
RepoRole
Type: string
Enum: viewer, contributor, developer, maintainer, admin
RepoAssignment
RepoAssignment specifies a repository and the role granted to a multi-link invitee.
|
Name |
Description |
|
repo_id |
Type: string Example: |
|
repo_role |
Type: RepoRole Enum: |
|
repo_slug |
Type: string Example: |
Example
{
"repo_id": "example",
"repo_slug": "example",
"repo_role": "viewer"
}
MultiLink
MultiLink represents a reusable invitation link that can be accepted by
multiple users. The link can be scoped to an organization and, optionally,
to a specific repository or project with a given role.
|
Name |
Description |
|
accepted_count |
Type: integer |
|
created_at |
Type: string<date-time> Example: |
|
expires_at |
Type: string<date-time> Example: |
|
id |
Type: string Example: |
|
invitee_count |
Type: integer Maximum number of invitees who can accept the invitation. Unset means unlimited. |
|
org_id |
Type: string Example: |
|
org_role |
Type: RepoRole Enum: |
|
org_slug |
Type: string Example: |
|
repo |
Type: RepoAssignment RepoAssignment specifies a repository and the role granted to a multi-link invitee. Example
|
|
restricted_to_count |
Type: integer Number of invitee restrictions configured on the multi-link. When zero, the |
|
slug |
Type: string Example: |
|
team_id |
Type: string IAM group ID of the team users join upon acceptance. Obtain it from Example: |
|
ttl_in_days |
Type: integer Time-to-live in days. If unset, the link never expires. |
|
updated_at |
Type: string<date-time> Example: |
|
url |
Type: string Example: |
Example
{
"id": "example",
"org_id": "example",
"org_slug": "example",
"slug": "example",
"url": "example",
"ttl_in_days": 0,
"expires_at": "2025-01-01T00:00:00Z",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-01T00:00:00Z",
"accepted_count": 0,
"invitee_count": 0,
"org_role": "viewer",
"repo": {
"repo_id": "example",
"repo_slug": "example",
"repo_role": null
},
"team_id": "example",
"restricted_to_count": 0
}
default
Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme
Body
application/json
{
"error_code": "example",
"message": "example",
"request_id": "example",
"details": null
}
|
Name |
Description |
|
details |
Type: unknown Example: |
|
error_code |
Type: string Example: |
|
message |
Type: string Example: |
|
request_id |
Type: string Example: |